## py-lmdb 0.86

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/lmdb.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/lmdb.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/lmdb"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/lmdb"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
py-lmdb (0.86-1build4) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:49:57 +1200

py-lmdb (0.86-1build3) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:10:34 +1200

py-lmdb (0.86-1build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:49 +0000

py-lmdb (0.86-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 21:40:07 +0000

py-lmdb (0.86-1) unstable; urgency=medium

  * New upstream release.
  * [54058f0d] debian/control: Update Maintainer, Uploaders
  * [69d06f39] debian/control: Update Vcs-Browser, Vcs-Git URLs
  * [0fa7c7fd] debian/gbp.conf: Update debian-branch, upstream-tag, add [dch]
    options
  * [f0788385] debian/gbp.conf: Replace upstream-tree with pristine-tar,
    pristine-tar-commit
  * [4a483319] setup.py: Make the build reproducible.
    Thanks to Chris Lamb (Closes: #790738)
  * [37359bfd] debian/README.source: Document the source package repository
    conventions

 -- Robert Edmonds <edmonds@debian.org>  Sat, 04 Jul 2015 16:55:00 -0400

py-lmdb (0.84-1) unstable; urgency=medium

  * Initial release. (Closes: #748373)

 -- Robert Edmonds <edmonds@debian.org>  Fri, 12 Dec 2014 11:45:15 -0500

=== debian/control ===
Source: py-lmdb
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Robert Edmonds <edmonds@debian.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-python
 , liblmdb-dev
 , python-all-dev
 , python3-all-dev
 , python-setuptools
 , python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/dw/py-lmdb
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-db/py-lmdb.git/
Vcs-Git: git://anonscm.debian.org/pkg-db/py-lmdb.git

Package: python-lmdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python binding for LMDB Lightning Memory-Mapped Database
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project. It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space (it
 is not limited to the size of physical RAM).
 .
 This package contains the 'lmdb' Python extension module.

Package: python3-lmdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python 3 binding for LMDB Lightning Memory-Mapped Database
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project. It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space (it
 is not limited to the size of physical RAM).
 .
 This package contains the 'lmdb' Python 3 extension module.

=== debian/rules ===
#!/usr/bin/make -f

export LMDB_FORCE_SYSTEM=1

export PYBUILD_NAME=lmdb

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f lmdb/_config.py

## py-lmdb 0.98

=== debian/changelog ===
py-lmdb (0.98-1) unstable; urgency=medium

  * New upstream release.
  * Drop a patch applied upstream.
  * Add a patch to remove analytics from the generated documentation.
  * Move the removal of _config.py to debian/clean.
  * Bump Standards-Version to 4.5.0.
  * Enable autopkgtest-pkg-python.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Mar 2020 19:48:15 +0100

py-lmdb (0.86-2) unstable; urgency=medium

  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Update gbp.conf.
  * Drop custom source compression.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add proper patch metadata.
  * Add myself as a co-maintainer.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Mar 2020 19:09:44 +0100

py-lmdb (0.86-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937471
  * Fix typo in description; Closes: #791533

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 15:56:26 -0500

py-lmdb (0.86-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the team email address (Closes: #899657).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 09:09:09 +0100

=== debian/control ===
Source: py-lmdb
Section: python
Priority: optional
Maintainer: Debian Berkeley DB Team <team+bdb@tracker.debian.org>
Uploaders:
 Robert Edmonds <edmonds@debian.org>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12)
 , dh-python
 , liblmdb-dev
 , python3-all-dev
 , python3-setuptools
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/dw/py-lmdb
Vcs-Browser: https://salsa.debian.org/debian/py-lmdb
Vcs-Git: https://salsa.debian.org/debian/py-lmdb.git

Package: python3-lmdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python 3 binding for LMDB Lightning Memory-Mapped Database
 Lightning Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project. It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space (it
 is not limited to the size of physical RAM).
 .
 This package contains the 'lmdb' Python 3 extension module.

## py-lmdb 1.0.0

=== debian/changelog ===
py-lmdb (1.0.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release (Closes: #972016)
  * Update upstream contacts.

  [ Federico Ceratto ]
  * Add CI conf.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 15 Oct 2020 13:08:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  , python3-setuptools
 Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-python
-Homepage: https://github.com/dw/py-lmdb
+Homepage: https://github.com/jnwatson/py-lmdb
 Vcs-Browser: https://salsa.debian.org/debian/py-lmdb
 Vcs-Git: https://salsa.debian.org/debian/py-lmdb.git

=== debian/rules ===
#!/usr/bin/make -f

export LMDB_FORCE_SYSTEM=1

export PYBUILD_NAME=lmdb

%:
	dh $@ --with python3 --buildsystem=pybuild

## py-lmdb 1.3.0

=== debian/changelog ===
py-lmdb (1.3.0-1) unstable; urgency=medium

  * d/watch: Scan GitHub tags
  * New upstream version 1.3.0 (Closes: #1003454)
  * Change git layout to fit Python Team Policy
  * Adopt into the Python Team (Closes: #1014388)
  * d/copyright: Remove wrongly filled field
  * d/copyright: Update with new release's info

 -- Bastian Germann <bage@debian.org>  Tue, 19 Jul 2022 17:57:29 +0200

## py-lmdb 1.4.0

=== debian/changelog ===
py-lmdb (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * README.source: Adjust to evolved environment

 -- Bastian Germann <bage@debian.org>  Sat, 10 Dec 2022 21:11:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: py-lmdb
 Section: python
 Priority: optional
-Maintainer: Debian Berkeley DB Team <team+bdb@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Robert Edmonds <edmonds@debian.org>,
+ Bastian Germann <bage@debian.org>,
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 12)

## py-lmdb 1.4.1

=== debian/changelog ===
py-lmdb (1.4.1-3build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:34:32 +0000

py-lmdb (1.4.1-3build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:43:40 +0000

py-lmdb (1.4.1-3build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:00 +0100

py-lmdb (1.4.1-3) unstable; urgency=medium

  * Team Upload.
  * Patch: Python 3.13 support. (Closes: #1081432)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Nov 2024 15:37:57 -0800

py-lmdb (1.4.1-2) unstable; urgency=medium

  * Ignore .egg-info diff (Closes: #1047891)
  * Remove myself from Uploaders

 -- Bastian Germann <bage@debian.org>  Tue, 15 Aug 2023 20:07:16 +0200

py-lmdb (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 14:14:35 +0200

=== debian/watch ===
version=4
https://github.com/jnwatson/py-lmdb/tags /jnwatson/py-lmdb/archive/refs/tags/py-lmdb_(.*)\.tar\.gz
